> ## Documentation Index
> Fetch the complete documentation index at: https://developer.notchpay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Process a payment



## OpenAPI

````yaml openapi.yaml post /payments/{reference}
openapi: 3.1.0
info:
  title: Notch Pay API
  description: API for integrating payment and money transfer services into applications.
  version: 2.1.0
servers:
  - url: https://api.notchpay.co
    description: Production and Sandbox Environment
security: []
paths:
  /payments/{reference}:
    post:
      summary: Process a payment
      operationId: processPaymentPost
      parameters:
        - name: reference
          in: path
          description: Reference of the transaction
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                channel:
                  type: string
                  example: cm.mtn
                data:
                  type: object
                  properties:
                    phone:
                      type: string
                      example: 237680000000
                    account_number:
                      type: string
                    country:
                      type: string
                      example: CM
                client_ip:
                  type: string
              required:
                - channel
      responses:
        '202':
          description: Payment processing initiated
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: Accepted
                  message:
                    type: string
                    example: Payment processing initiated
                  code:
                    type: integer
                    example: 202
                  transaction: 499e9326-686b-4651-b2a7-53b27144081f
                required:
                  - status
                  - message
                  - code
                  - transaction
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: b29a71d3-4f97-40ed-a676-731aa1fbe742
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: b29a71d3-4f97-40ed-a676-731aa1fbe742
      security:
        - ApiKeyAuth: []
        - SyncAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
    SyncAuth:
      type: apiKey
      in: header
      name: X-Sync

````